SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1036359 - ejabberd logs not reopened after rotation
Summary: ejabberd logs not reopened after rotation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-01 12:38 UTC by Lucas Maneos
Modified: 2014-09-01 11:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-01 11:28:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Lucas Maneos 2013-12-01 12:38:18 UTC
Description of problem:


Version-Release number of selected component (if applicable):

ejabberd-2.1.13-7.fc20.x86_64

How reproducible:


Steps to Reproduce:
1. Make sure ejabberd is running and logrotate is enabled.
2. Wait until logrotate runs.
3. Check contents of /var/log/ejabberd/ejabberd.log.

Actual results:

0 size file that never gets updated.

Expected results:

File containing log entries for events as they occur.

Additional info:

/etc/logrotate.d/ejabberd is trying to run /usr/sbin/ejabberdctl, but ejabberdctl is installed in /usr/bin now.

Comment 1 rstory 2014-02-18 21:26:35 UTC
ejabberd.log is size 0 and not updated, and actual logging is still going to the rotated log file, ejabberd.log-YYYYMMDD..

Comment 2 Peter Lemenkov 2014-09-01 11:28:22 UTC
This bug should be closed in Rawhide now and will be closed in Fedora 21.


Note You need to log in before you can comment on or make changes to this bug.